#!/bin/bash
#Automatically Created by buildpkg 1.4.3
#Maintainer: tsuren
#url: http://speedcrunch.org/

######Begin Redundant Code######################################
check_for_root() {
	if [ "$UID" != "0" ]; then
		echo "You need to be root"
		exit 1
	fi
}

clean_dirs () {
        for COMPLETED in src pkg; do
                if [ -e $COMPLETED ]; then
                        rm -rf $COMPLETED
                fi
        done
}

clean_old_builds () {
	for COMPLETED in $package.{tgz,md5,dep}; do
		if [ "$KEEPDEPFILE" = "1" ] && [ $COMPLETED = $package.dep ]; then
			continue
		elif [ -e $COMPLETED ]; then
			rm -rf $COMPLETED
		fi
	done
	clean_dirs
}

set_pre_permissions() {
	cd $startdir/src
	find . -perm 664 -exec chmod 644 {} \;
	find . -perm 600 -exec chmod 644 {} \;
	find . -perm 444 -exec chmod 644 {} \;
	find . -perm 400 -exec chmod 644 {} \;
	find . -perm 440 -exec chmod 644 {} \;
	find . -perm 777 -exec chmod 755 {} \;
	find . -perm 775 -exec chmod 755 {} \;
	find . -perm 511 -exec chmod 755 {} \;
	find . -perm 711 -exec chmod 755 {} \;
	find . -perm 555 -exec chmod 755 {} \;
}


check_for_menu_compliance() {
	if [ -d "$startdir/pkg/usr/share/applications" ]; then
		cd $startdir/pkg/usr/share/applications
		for desktop in *.desktop; do
			Icon=$(grep -e "^Icon=" $desktop | sed 's/Icon=//')
			if [[ "$Icon" ]]; then
				if [ ! "$Icon" == "${Icon%.*}" ]; then
					sed '/Icon/s/\..*$//' -i $desktop
					Icon=$(grep -e "^Icon=" $desktop | sed 's/Icon=//')
				fi
				if [ -d "$startdir/pkg/usr/share/pixmaps" ]; then
					cd $startdir/pkg/usr/share/pixmaps
					for pixmaps in *; do
						[ -d $pixmaps ] && continue
						[ ! "${pixmaps##*.}" == "png" -a ! "${pixmaps##*.}" == "svg" ] && continue
				 		if [ "${pixmaps%.*}" == "$Icon" ]; then
				 			DIR=$(file $pixmaps | awk -F, '{print $2}' | sed 's/ //g')
							[ o"$DIR" == "o" ] && DIR="scalable"
							mkdir -p $startdir/pkg/usr/share/icons/hicolor/$DIR/apps
							mv $pixmaps $startdir/pkg/usr/share/icons/hicolor/$DIR/apps
							if [[ ! "$(ls $startdir/pkg/usr/share/pixmaps)" ]]; then
								rm -rf $startdir/pkg/usr/share/pixmaps
							fi
						fi
					done
				fi
				if [ -d "$startdir/pkg/usr/share/icons" ]; then
					cd $startdir/pkg/usr/share/icons
					for icons in *; do
				 		if [ "${icons%.*}" == "$Icon" ]; then
							[ ! "${pixmaps##*.}" == "png" -a ! "${pixmaps##*.}" == "svg" ] && continue
				 			DIR=$(file $icons | awk -F, '{print $2}' | sed 's/ //g')
							[ o"$DIR" == "o" ] && DIR="scalable"
							mkdir -p $startdir/pkg/usr/share/icons/hicolor/$DIR/apps
							mv $icons $startdir/pkg/usr/share/icons/hicolor/$DIR/apps
						fi
					done
				fi
			fi
		done
	fi
}


gzip_man_and_info_pages() {
	for DOCS in man info; do
		if [ -d "$startdir/pkg/usr/share/$DOCS" ]; then
			mv $startdir/pkg/usr/share/$DOCS $startdir/pkg/usr/$DOCS
			if [[ ! "$(ls $startdir/pkg/usr/share)" ]]; then
				rm -rf $startdir/pkg/usr/share
			fi
		fi
		if [ -d "$startdir/pkg/usr/$DOCS" ]; then
			# I've never seen symlinks in info pages....
			if [ "$DOCS" == "man" ]; then
				(cd $startdir/pkg/usr/$DOCS
				for manpagedir in $(find . -type d -name "man*" 2> /dev/null) ; do
					( cd $manpagedir
					for eachpage in $( find . -type l -maxdepth 1 2> /dev/null) ; do
						ln -s $( readlink $eachpage ).gz $eachpage.gz
						rm $eachpage
					done )
				done)
			fi
			find $startdir/pkg/usr/$DOCS -type f -exec gzip -9 '{}' \;
		fi
	done
}

set_post_permissions() {
	for DIRS in usr/share/icons usr/doc; do
		if [ -d "$startdir/pkg/$DIRS" ]; then
			if [ "$DIRS" == "usr/doc" ]; then
				find $startdir/pkg/$DIRS -type f -exec chmod 644 {} \;
				find $startdir/pkg/$DIRS -type d -exec chmod 755 {} \;
			fi
		fi
		[ -d $startdir/pkg/$DIRS ] && chown root:root -R $startdir/pkg/$DIRS
	done
	[ -d $startdir/pkg/usr/bin ] && find $startdir/pkg/usr/bin -user root -group bin -exec chown root:root {} \;
}

copy_build_script() {
	mkdir -p $startdir/pkg/usr/src/$pkgname-$pkgver/
	cp $startdir/build-$pkgname.sh $startdir/pkg/usr/src/$pkgname-$pkgver/build-$pkgname.sh
	[ -f $startdir/ZENBUILD ] && cp $startdir/ZENBUILD $startdir/pkg/usr/src/$pkgname-$pkgver/ZENBUILD
}

create_package() {
	cd $startdir/pkg
	/sbin/makepkg -l y -c n $startdir/$package.tgz
	cd $startdir
	md5sum $package.tgz > $startdir/$package.md5
}

strip_binaries() {
	cd $startdir/pkg
	find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
	xargs strip --strip-unneeded 2> /dev/null
	find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
	xargs strip --strip-unneeded 2> /dev/null
}
#########End Redundant Code#####################################
#########Begin Non Redundant Code##############################

prepare_directory() {
	mkdir $startdir/src
	mkdir -p $startdir/pkg/usr/src/$pkgname-$pkgver
	for SOURCES in ${source[@]}; do
		protocol=$(echo $SOURCES | sed 's|:.*||')
		if [ ! -f "$(basename $SOURCES)" ]; then
			if [ "$protocol" = "http" -o "$protocol" = "https" -o "$protocol" = "ftp" ]; then
				echo -e "\nDownloading $(basename $SOURCES)\n"
				wget $SOURCES
				if [ ! "$?" == "0" ]; then
					echo "Download failed"
					exit 2
				fi 
			else
				echo "$SOURCES does not appear to be a url nor is it in the directory"
				exit 2
			fi
		fi
		cp -R $(basename $SOURCES) $startdir/src
		if ! [ "$protocol" = "http" -o "$protocol" = "https" -o "$protocol" = "ftp" ]; then
			cp -R $startdir/$(basename $SOURCES) $startdir/pkg/usr/src/$pkgname-$pkgver/
		fi
		if [ "${SOURCES##*.}" == "desktop" ]; then
			[[ "$(grep -e "^Categories=[a-zA-Z]*;" $(basename $SOURCES))" ]] && install -D $startdir/$(basename $SOURCES) /home/tomoki/Desktop/packages/speedcrunch/pkg/usr/share/applications/$(basename $SOURCES)
		fi
	done
}

extract_source() {
	cd $startdir/src
	if [[ "$(ls $startdir/src)" ]]; then	
		for FILES in ${source[@]}; do
			FILES="$(basename $FILES)"
			file_type=$(file -biz "$FILES")
			unset cmd
			case "$file_type" in
				*application/x-tar*)
					cmd="tar -xf" ;;
				*application/x-zip*)
					cmd="unzip" ;;
				*application/x-gzip*)
					cmd="gunzip -d -f" ;;
				*application/x-bzip*)
					cmd="bunzip2 -f" ;;
			esac
			if [ "$cmd" != "" ]; then
				echo "$cmd $FILES"
	        	        $cmd $FILES
			fi
		done
	elif [ ! "$source" ]; then
		echo -n "" # lame fix
	else
		echo "no files in the src directory $startdir/src"
		exit 2
	fi
}

build() {
        cd $startdir/src/$pkgname-$pkgver 
	mkdir build
cat << "STOP" > $startdir/src/$pkgname-$pkgver/CMakeCache.txt
# This is the CMakeCache file.
# For build in directory: /home/tomoki/Desktop/packages/speedcrunch/src/speedcrunch-0.9
# It was generated by CMake: /usr/bin/cmake
# You can edit this file to change values found and used by cmake.
# If you do not want to change any of the values, simply exit the editor.
# If you do want to change a value, simply edit, save, and exit the editor.
# The syntax for the file is as follows:
# KEY:TYPE=VALUE
# KEY is the name of a variable in the cache.
# TYPE is a hint to GUI's for the type of VALUE, DO NOT EDIT TYPE!.
# VALUE is the current value for the KEY.

########################
# EXTERNAL cache entries
########################

//Path to a program.
CMAKE_AR:FILEPATH=/usr/bin/ar

//For backwards compatibility, what version of CMake commands and
// syntax should this version of CMake allow.
CMAKE_BACKWARDS_COMPATIBILITY:STRING=2.4

//Choose the type of build, options are: None(CMAKE_CXX_FLAGS or
// CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel.
//
CMAKE_BUILD_TYPE:STRING=

//Enable/Disable color output during build.
CMAKE_COLOR_MAKEFILE:BOOL=ON

//CXX compiler.
CMAKE_CXX_COMPILER:FILEPATH=/usr/bin/c++

//Flags used by the compiler during all build types.
CMAKE_CXX_FLAGS:STRING='-O2 -march=i486 -mtune=i686 '

//Flags used by the compiler during debug builds.
CMAKE_CXX_FLAGS_DEBUG:STRING=-g

//Flags used by the compiler during release minsize builds.
CMAKE_CXX_FLAGS_MINSIZEREL:STRING=-Os -DNDEBUG -DQT_NO_DEBUG

//Flags used by the compiler during release builds.
CMAKE_CXX_FLAGS_RELEASE:STRING=-O3 -DNDEBUG -DQT_NO_DEBUG

//Flags used by the compiler during Release with Debug Info builds.
//
CMAKE_CXX_FLAGS_RELWITHDEBINFO:STRING=-O2 -g -DQT_NO_DEBUG

//C compiler.
CMAKE_C_COMPILER:FILEPATH=/usr/bin/gcc

//Flags for C compiler.
CMAKE_C_FLAGS:STRING='-O2 -march=i486 -mtune=i686 '

//Flags used by the compiler during debug builds.
CMAKE_C_FLAGS_DEBUG:STRING=-g

//Flags used by the compiler during release minsize builds.
CMAKE_C_FLAGS_MINSIZEREL:STRING=-Os -DNDEBUG

//Flags used by the compiler during release builds (/MD /Ob1 /Oi
// /Ot /Oy /Gs will produce slightly less optimized but smaller
// files).
CMAKE_C_FLAGS_RELEASE:STRING=-O3 -DNDEBUG

//Flags used by the compiler during Release with Debug Info builds.
//
CMAKE_C_FLAGS_RELWITHDEBINFO:STRING=-O2 -g

//Flags used by the linker.
CMAKE_EXE_LINKER_FLAGS:STRING=

//Flags used by the linker during debug builds.
CMAKE_EXE_LINKER_FLAGS_DEBUG:STRING=

//Flags used by the linker during release minsize builds.
CMAKE_EXE_LINKER_FLAGS_MINSIZEREL:STRING=

//Flags used by the linker during release builds.
CMAKE_EXE_LINKER_FLAGS_RELEASE:STRING=

//Flags used by the linker during Release with Debug Info builds.
//
CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO:STRING=

//Install path prefix, prepended onto install directories.
CMAKE_INSTALL_PREFIX:PATH=/usr

//Path to a program.
CMAKE_MAKE_PROGRAM:FILEPATH=/usr/bin/gmake

//Flags used by the linker during the creation of modules.
CMAKE_MODULE_LINKER_FLAGS:STRING=

//Flags used by the linker during debug builds.
CMAKE_MODULE_LINKER_FLAGS_DEBUG:STRING=

//Flags used by the linker during release minsize builds.
CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL:STRING=

//Flags used by the linker during release builds.
CMAKE_MODULE_LINKER_FLAGS_RELEASE:STRING=

//Flags used by the linker during Release with Debug Info builds.
//
CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO:STRING=

//Path to a program.
CMAKE_RANLIB:FILEPATH=/usr/bin/ranlib

//Flags used by the linker during the creation of dll's.
CMAKE_SHARED_LINKER_FLAGS:STRING=

//Flags used by the linker during debug builds.
CMAKE_SHARED_LINKER_FLAGS_DEBUG:STRING=

//Flags used by the linker during release minsize builds.
CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL:STRING=

//Flags used by the linker during release builds.
CMAKE_SHARED_LINKER_FLAGS_RELEASE:STRING=

//Flags used by the linker during Release with Debug Info builds.
//
CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO:STRING=

//If set, runtime paths are not added when using shared libraries.
//
CMAKE_SKIP_RPATH:BOOL=NO

//If true, cmake will use relative paths in makefiles and projects.
//
CMAKE_USE_RELATIVE_PATHS:BOOL=OFF

//If this value is on, makefiles will be generated without the
// .SILENT directive, and all commands will be echoed to the console
// during the make.  This is useful for debugging only. With Visual
// Studio IDE projects all commands are done without /nologo.
CMAKE_VERBOSE_MAKEFILE:BOOL=FALSE

//Single output directory for building all executables.
EXECUTABLE_OUTPUT_PATH:PATH=

//Single output directory for building all libraries.
LIBRARY_OUTPUT_PATH:PATH=

//Path to a program.
QT_DBUSCPP2XML_EXECUTABLE:FILEPATH=/usr/lib/qt-4.3.3/bin/qdbuscpp2xml

//Path to a program.
QT_DBUSXML2CPP_EXECUTABLE:FILEPATH=/usr/lib/qt-4.3.3/bin/qdbusxml2cpp

//The location of the Qt docs
QT_DOC_DIR:PATH=/usr/doc/qt-4.3.3

//Path to a library.
QT_FONTCONFIG_LIBRARY:FILEPATH=/usr/lib/libfontconfig.so

//Path to a library.
QT_FREETYPE_LIBRARY:FILEPATH=/usr/lib/libfreetype.so

//Path to a library.
QT_GLIB_LIBRARY:FILEPATH=/usr/lib/libglib-2.0.so

//Path to a library.
QT_GTHREAD_LIBRARY:FILEPATH=/usr/lib/libgthread-2.0.so

QT_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include

//Qt library dir
QT_LIBRARY_DIR:PATH=/usr/lib/qt-4.3.3/lib

//The location of the Qt mkspecs containing qconfig.pri
QT_MKSPECS_DIR:PATH=/usr/share/qt-4.3.3/mkspecs

//The moc executable
QT_MOC_EXECUTABLE:FILEPATH=/usr/lib/qt-4.3.3/bin/moc

//The location of the Qt plugins
QT_PLUGINS_DIR:PATH=/usr/lib/qt-4.3.3/plugins

//Path to a library.
QT_PNG_LIBRARY:FILEPATH=/usr/lib/libpng.so

//Path to a program.
QT_QMAKE_EXECUTABLE:FILEPATH=/usr/lib/qt4/bin/qmake

//Path to a file.
QT_QT3SUPPORT_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/Qt3Support

//The Qt QT3SUPPORT library
QT_QT3SUPPORT_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQt3Support.so

//Path to a library.
QT_QT3SUPPORT_LIBRARY_DEBUG:FILEPATH=QT_QT3SUPPORT_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QT3SUPPORT_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQt3Support.so

//Path to a file.
QT_QTASSISTANT_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/QtAssistant

//The Qt QTASSISTANT library
QT_QTASSISTANT_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtAssistantClient.so

//Path to a library.
QT_QTASSISTANT_LIBRARY_DEBUG:FILEPATH=QT_QTASSISTANT_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTASSISTANT_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtAssistantClient.so

//Path to a file.
QT_QTCORE_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/QtCore

//The Qt QTCORE library
QT_QTCORE_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtCore.so

//Path to a library.
QT_QTCORE_LIBRARY_DEBUG:FILEPATH=QT_QTCORE_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTCORE_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtCore.so

//Path to a file.
QT_QTDBUS_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/QtDBus

//The Qt QTDBUS library
QT_QTDBUS_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtDBus.so

//Path to a library.
QT_QTDBUS_LIBRARY_DEBUG:FILEPATH=QT_QTDBUS_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTDBUS_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtDBus.so

//Path to a file.
QT_QTDESIGNERCOMPONENTS_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/QtDesigner

//The Qt QTDESIGNERCOMPONENTS library
QT_QTDESIGNERCOMPONENTS_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtDesignerComponents.so

//Path to a library.
QT_QTDESIGNERCOMPONENTS_LIBRARY_DEBUG:FILEPATH=QT_QTDESIGNERCOMPONENTS_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTDESIGNERCOMPONENTS_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtDesignerComponents.so

//Path to a file.
QT_QTDESIGNER_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/QtDesigner

//The Qt QTDESIGNER library
QT_QTDESIGNER_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtDesigner.so

//Path to a library.
QT_QTDESIGNER_LIBRARY_DEBUG:FILEPATH=QT_QTDESIGNER_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTDESIGNER_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtDesigner.so

//Path to a file.
QT_QTGUI_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/QtGui

//The Qt QTGUI library
QT_QTGUI_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtGui.so

//Path to a library.
QT_QTGUI_LIBRARY_DEBUG:FILEPATH=QT_QTGUI_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTGUI_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtGui.so

//Path to a file.
QT_QTMOTIF_INCLUDE_DIR:PATH=QT_QTMOTIF_INCLUDE_DIR-NOTFOUND

//Path to a library.
QT_QTMOTIF_LIBRARY_DEBUG:FILEPATH=QT_QTMOTIF_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTMOTIF_LIBRARY_RELEASE:FILEPATH=QT_QTMOTIF_LIBRARY_RELEASE-NOTFOUND

//Path to a file.
QT_QTNETWORK_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/QtNetwork

//The Qt QTNETWORK library
QT_QTNETWORK_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtNetwork.so

//Path to a library.
QT_QTNETWORK_LIBRARY_DEBUG:FILEPATH=QT_QTNETWORK_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTNETWORK_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtNetwork.so

//Path to a file.
QT_QTNSPLUGIN_INCLUDE_DIR:PATH=QT_QTNSPLUGIN_INCLUDE_DIR-NOTFOUND

//Path to a library.
QT_QTNSPLUGIN_LIBRARY_DEBUG:FILEPATH=QT_QTNSPLUGIN_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTNSPLUGIN_LIBRARY_RELEASE:FILEPATH=QT_QTNSPLUGIN_LIBRARY_RELEASE-NOTFOUND

//Path to a file.
QT_QTOPENGL_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/QtOpenGL

//The Qt QTOPENGL library
QT_QTOPENGL_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtOpenGL.so

//Path to a library.
QT_QTOPENGL_LIBRARY_DEBUG:FILEPATH=QT_QTOPENGL_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTOPENGL_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtOpenGL.so

//Path to a file.
QT_QTSCRIPT_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/QtScript

//The Qt QTSCRIPT library
QT_QTSCRIPT_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtScript.so

//Path to a library.
QT_QTSCRIPT_LIBRARY_DEBUG:FILEPATH=QT_QTSCRIPT_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTSCRIPT_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtScript.so

//Path to a file.
QT_QTSQL_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/QtSql

//The Qt QTSQL library
QT_QTSQL_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtSql.so

//Path to a library.
QT_QTSQL_LIBRARY_DEBUG:FILEPATH=QT_QTSQL_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTSQL_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtSql.so

//Path to a file.
QT_QTSVG_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/QtSvg

//The Qt QTSVG library
QT_QTSVG_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtSvg.so

//Path to a library.
QT_QTSVG_LIBRARY_DEBUG:FILEPATH=QT_QTSVG_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTSVG_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtSvg.so

//Path to a file.
QT_QTTEST_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/QtTest

//The Qt QTTEST library
QT_QTTEST_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtTest.so

//Path to a library.
QT_QTTEST_LIBRARY_DEBUG:FILEPATH=QT_QTTEST_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTTEST_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtTest.so

//Path to a file.
QT_QTUITOOLS_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/QtUiTools

//The Qt QTUITOOLS library
QT_QTUITOOLS_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtUiTools.a

//Path to a library.
QT_QTUITOOLS_LIBRARY_DEBUG:FILEPATH=QT_QTUITOOLS_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTUITOOLS_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtUiTools.a

//Path to a file.
QT_QTXML_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/QtXml

//The Qt QTXML library
QT_QTXML_LIBRARY:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtXml.so

//Path to a library.
QT_QTXML_LIBRARY_DEBUG:FILEPATH=QT_QTXML_LIBRARY_DEBUG-NOTFOUND

//Path to a library.
QT_QTXML_LIBRARY_RELEASE:FILEPATH=/usr/lib/qt-4.3.3/lib/libQtXml.so

//Path to a file.
QT_QT_INCLUDE_DIR:PATH=/usr/lib/qt-4.3.3/include/Qt

//Path to a program.
QT_RCC_EXECUTABLE:FILEPATH=/usr/lib/qt-4.3.3/bin/rcc

//Path to a library.
QT_RT_LIBRARY:FILEPATH=/usr/lib/librt.so

//Path to a program.
QT_UIC3_EXECUTABLE:FILEPATH=/usr/lib/qt-4.3.3/bin/uic3

//The uic executable
QT_UIC_EXECUTABLE:FILEPATH=/usr/lib/qt-4.3.3/bin/uic

//Path to a library.
QT_X11_ICE_LIBRARY:FILEPATH=/usr/lib/libICE.so

//Path to a library.
QT_X11_SM_LIBRARY:FILEPATH=/usr/lib/libSM.so

//Path to a library.
QT_X11_X11_LIBRARY:FILEPATH=/usr/lib/libX11.so

//Path to a library.
QT_X11_Xext_LIBRARY:FILEPATH=/usr/lib/libXext.so

//Path to a library.
QT_X11_m_LIBRARY:FILEPATH=/usr/lib/libm.so

//Path to a library.
QT_XCURSOR_LIBRARY:FILEPATH=/usr/lib/libXcursor.so

//Path to a library.
QT_XFIXES_LIBRARY:FILEPATH=/usr/lib/libXfixes.so

//Path to a library.
QT_XINERAMA_LIBRARY:FILEPATH=/usr/lib/libXinerama.so

//Path to a library.
QT_XI_LIBRARY:FILEPATH=/usr/lib/libXi.so

//Path to a library.
QT_XRANDR_LIBRARY:FILEPATH=/usr/lib/libXrandr.so

//Path to a library.
QT_XRENDER_LIBRARY:FILEPATH=/usr/lib/libXrender.so

//Path to a library.
QT_ZLIB_LIBRARY:FILEPATH=/usr/lib/libz.so

//Value Computed by CMake
speedcrunch_BINARY_DIR:STATIC=/home/tomoki/Desktop/packages/speedcrunch/src/speedcrunch-0.9

//Value Computed by CMake
speedcrunch_SOURCE_DIR:STATIC=/home/tomoki/Desktop/packages/speedcrunch/src/speedcrunch-0.9/src


########################
# INTERNAL cache entries
########################

//Advanced flag for variable: CMAKE_AR
CMAKE_AR-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_BUILD_TOOL
CMAKE_BUILD_TOOL-ADVANCED:INTERNAL=1
//What is the target build tool cmake is generating for.
CMAKE_BUILD_TOOL:INTERNAL=/usr/bin/gmake
//This is the directory where this CMakeCahe.txt was created
CMAKE_CACHEFILE_DIR:INTERNAL=/home/tomoki/Desktop/packages/speedcrunch/src/speedcrunch-0.9
//Major version of cmake used to create the current loaded cache
//
CMAKE_CACHE_MAJOR_VERSION:INTERNAL=2
//Minor version of cmake used to create the current loaded cache
//
CMAKE_CACHE_MINOR_VERSION:INTERNAL=4
//Major version of cmake used to create the current loaded cache
//
CMAKE_CACHE_RELEASE_VERSION:INTERNAL=patch 8
//Advanced flag for variable: CMAKE_COLOR_MAKEFILE
CMAKE_COLOR_MAKEFILE-ADVANCED:INTERNAL=1
//Path to CMake executable.
CMAKE_COMMAND:INTERNAL=/usr/bin/cmake
//Path to ctest program executable.
CMAKE_CTEST_COMMAND:INTERNAL=/usr/bin/ctest
//Advanced flag for variable: CMAKE_CXX_COMPILER
CMAKE_CXX_COMPILER-ADVANCED:INTERNAL=1
CMAKE_CXX_COMPILER_WORKS:INTERNAL=1
//Advanced flag for variable: CMAKE_CXX_FLAGS
CMAKE_CXX_FLAGS-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_CXX_FLAGS_DEBUG
CMAKE_CXX_FLAGS_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_CXX_FLAGS_MINSIZEREL
CMAKE_CXX_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_CXX_FLAGS_RELEASE
CMAKE_CXX_FLAGS_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_CXX_FLAGS_RELWITHDEBINFO
CMAKE_CXX_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_C_COMPILER
CMAKE_C_COMPILER-ADVANCED:INTERNAL=1
CMAKE_C_COMPILER_WORKS:INTERNAL=1
//Advanced flag for variable: CMAKE_C_FLAGS
CMAKE_C_FLAGS-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_C_FLAGS_DEBUG
CMAKE_C_FLAGS_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_C_FLAGS_MINSIZEREL
CMAKE_C_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_C_FLAGS_RELEASE
CMAKE_C_FLAGS_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_C_FLAGS_RELWITHDEBINFO
CMAKE_C_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
//Path to cache edit program executable.
CMAKE_EDIT_COMMAND:INTERNAL=/usr/bin/ccmake
//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS
CMAKE_EXE_LINKER_FLAGS-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_DEBUG
CMAKE_EXE_LINKER_FLAGS_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_MINSIZEREL
//
CMAKE_EXE_LINKER_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_RELEASE
CMAKE_EXE_LINKER_FLAGS_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO
//
CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
//Name of generator.
CMAKE_GENERATOR:INTERNAL=Unix Makefiles
//Start directory with the top level CMakeLists.txt file for this
// project
CMAKE_HOME_DIRECTORY:INTERNAL=/home/tomoki/Desktop/packages/speedcrunch/src/speedcrunch-0.9/src
//Install .so files without execute permission.
CMAKE_INSTALL_SO_NO_EXE:INTERNAL=0
//Advanced flag for variable: CMAKE_MAKE_PROGRAM
CMAKE_MAKE_PROGRAM-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS
CMAKE_MODULE_LINKER_FLAGS-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_DEBUG
CMAKE_MODULE_LINKER_FLAGS_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL
//
CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_RELEASE
//
CMAKE_MODULE_LINKER_FLAGS_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO
//
CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
//number of local generators
CMAKE_NUMBER_OF_LOCAL_GENERATORS:INTERNAL=1
//Advanced flag for variable: CMAKE_RANLIB
CMAKE_RANLIB-ADVANCED:INTERNAL=1
//Path to CMake installation.
CMAKE_ROOT:INTERNAL=/usr/share/cmake-2.4
//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS
CMAKE_SHARED_LINKER_FLAGS-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_DEBUG
CMAKE_SHARED_LINKER_FLAGS_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL
//
CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_RELEASE
//
CMAKE_SHARED_LINKER_FLAGS_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO
//
CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO-ADVANCED:INTERNAL=1
//Result of TRY_RUN
CMAKE_SIZEOF_VOID_P:INTERNAL=4
//Advanced flag for variable: CMAKE_SKIP_RPATH
CMAKE_SKIP_RPATH-ADVANCED:INTERNAL=1
//uname command
CMAKE_UNAME:INTERNAL=/bin/uname
//Advanced flag for variable: CMAKE_USE_RELATIVE_PATHS
CMAKE_USE_RELATIVE_PATHS-ADVANCED:INTERNAL=1
//Advanced flag for variable: CMAKE_VERBOSE_MAKEFILE
CMAKE_VERBOSE_MAKEFILE-ADVANCED:INTERNAL=1
//Result of TRY_COMPILE
HAVE_CMAKE_SIZEOF_VOID_P:INTERNAL=TRUE
QT_BINARY_DIR:INTERNAL=/usr/lib/qt-4.3.3/bin
//Advanced flag for variable: QT_DBUSCPP2XML_EXECUTABLE
QT_DBUSCPP2XML_EXECUTABLE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_DBUSXML2CPP_EXECUTABLE
QT_DBUSXML2CPP_EXECUTABLE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_DOC_DIR
QT_DOC_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_FONTCONFIG_LIBRARY
QT_FONTCONFIG_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_FREETYPE_LIBRARY
QT_FREETYPE_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_GLIB_LIBRARY
QT_GLIB_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_GTHREAD_LIBRARY
QT_GTHREAD_LIBRARY-ADVANCED:INTERNAL=1
QT_HEADERS_DIR:INTERNAL=/usr/lib/qt-4.3.3/include
//Advanced flag for variable: QT_INCLUDE_DIR
QT_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_LIBRARY_DIR
QT_LIBRARY_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_MKSPECS_DIR
QT_MKSPECS_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_MOC_EXECUTABLE
QT_MOC_EXECUTABLE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_PLUGINS_DIR
QT_PLUGINS_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_PNG_LIBRARY
QT_PNG_LIBRARY-ADVANCED:INTERNAL=1
//Have symbol _POSIX_TIMERS
QT_POSIX_TIMERS:INTERNAL=1
//Advanced flag for variable: QT_QT3SUPPORT_INCLUDE_DIR
QT_QT3SUPPORT_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QT3SUPPORT_LIBRARY
QT_QT3SUPPORT_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QT3SUPPORT_LIBRARY_DEBUG
QT_QT3SUPPORT_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QT3SUPPORT_LIBRARY_RELEASE
QT_QT3SUPPORT_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTASSISTANT_INCLUDE_DIR
QT_QTASSISTANT_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTASSISTANT_LIBRARY
QT_QTASSISTANT_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTASSISTANT_LIBRARY_DEBUG
QT_QTASSISTANT_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTASSISTANT_LIBRARY_RELEASE
QT_QTASSISTANT_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTCORE_INCLUDE_DIR
QT_QTCORE_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTCORE_LIBRARY
QT_QTCORE_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTCORE_LIBRARY_DEBUG
QT_QTCORE_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTCORE_LIBRARY_RELEASE
QT_QTCORE_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTDBUS_INCLUDE_DIR
QT_QTDBUS_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTDBUS_LIBRARY
QT_QTDBUS_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTDBUS_LIBRARY_DEBUG
QT_QTDBUS_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTDBUS_LIBRARY_RELEASE
QT_QTDBUS_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTDESIGNERCOMPONENTS_INCLUDE_DIR
//
QT_QTDESIGNERCOMPONENTS_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTDESIGNERCOMPONENTS_LIBRARY
QT_QTDESIGNERCOMPONENTS_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTDESIGNERCOMPONENTS_LIBRARY_DEBUG
//
QT_QTDESIGNERCOMPONENTS_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTDESIGNERCOMPONENTS_LIBRARY_RELEASE
//
QT_QTDESIGNERCOMPONENTS_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTDESIGNER_INCLUDE_DIR
QT_QTDESIGNER_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTDESIGNER_LIBRARY
QT_QTDESIGNER_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTDESIGNER_LIBRARY_DEBUG
QT_QTDESIGNER_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTDESIGNER_LIBRARY_RELEASE
QT_QTDESIGNER_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTGUI_INCLUDE_DIR
QT_QTGUI_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTGUI_LIBRARY
QT_QTGUI_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTGUI_LIBRARY_DEBUG
QT_QTGUI_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTGUI_LIBRARY_RELEASE
QT_QTGUI_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTMOTIF_INCLUDE_DIR
QT_QTMOTIF_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTMOTIF_LIBRARY_DEBUG
QT_QTMOTIF_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTMOTIF_LIBRARY_RELEASE
QT_QTMOTIF_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTNETWORK_INCLUDE_DIR
QT_QTNETWORK_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTNETWORK_LIBRARY
QT_QTNETWORK_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTNETWORK_LIBRARY_DEBUG
QT_QTNETWORK_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTNETWORK_LIBRARY_RELEASE
QT_QTNETWORK_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTNSPLUGIN_INCLUDE_DIR
QT_QTNSPLUGIN_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTNSPLUGIN_LIBRARY_DEBUG
QT_QTNSPLUGIN_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTNSPLUGIN_LIBRARY_RELEASE
QT_QTNSPLUGIN_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTOPENGL_INCLUDE_DIR
QT_QTOPENGL_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTOPENGL_LIBRARY
QT_QTOPENGL_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTOPENGL_LIBRARY_DEBUG
QT_QTOPENGL_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTOPENGL_LIBRARY_RELEASE
QT_QTOPENGL_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTSCRIPT_INCLUDE_DIR
QT_QTSCRIPT_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTSCRIPT_LIBRARY
QT_QTSCRIPT_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTSCRIPT_LIBRARY_DEBUG
QT_QTSCRIPT_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTSCRIPT_LIBRARY_RELEASE
QT_QTSCRIPT_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTSQL_INCLUDE_DIR
QT_QTSQL_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTSQL_LIBRARY
QT_QTSQL_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTSQL_LIBRARY_DEBUG
QT_QTSQL_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTSQL_LIBRARY_RELEASE
QT_QTSQL_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTSVG_INCLUDE_DIR
QT_QTSVG_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTSVG_LIBRARY
QT_QTSVG_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTSVG_LIBRARY_DEBUG
QT_QTSVG_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTSVG_LIBRARY_RELEASE
QT_QTSVG_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTTEST_INCLUDE_DIR
QT_QTTEST_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTTEST_LIBRARY
QT_QTTEST_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTTEST_LIBRARY_DEBUG
QT_QTTEST_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTTEST_LIBRARY_RELEASE
QT_QTTEST_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTUITOOLS_INCLUDE_DIR
QT_QTUITOOLS_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTUITOOLS_LIBRARY
QT_QTUITOOLS_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTUITOOLS_LIBRARY_DEBUG
QT_QTUITOOLS_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTUITOOLS_LIBRARY_RELEASE
QT_QTUITOOLS_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTXML_INCLUDE_DIR
QT_QTXML_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTXML_LIBRARY
QT_QTXML_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTXML_LIBRARY_DEBUG
QT_QTXML_LIBRARY_DEBUG-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QTXML_LIBRARY_RELEASE
QT_QTXML_LIBRARY_RELEASE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_QT_INCLUDE_DIR
QT_QT_INCLUDE_DIR-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_RCC_EXECUTABLE
QT_RCC_EXECUTABLE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_RT_LIBRARY
QT_RT_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_UIC3_EXECUTABLE
QT_UIC3_EXECUTABLE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_UIC_EXECUTABLE
QT_UIC_EXECUTABLE-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_X11_ICE_LIBRARY
QT_X11_ICE_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_X11_SM_LIBRARY
QT_X11_SM_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_X11_X11_LIBRARY
QT_X11_X11_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_X11_Xext_LIBRARY
QT_X11_Xext_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_X11_m_LIBRARY
QT_X11_m_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_XCURSOR_LIBRARY
QT_XCURSOR_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_XFIXES_LIBRARY
QT_XFIXES_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_XINERAMA_LIBRARY
QT_XINERAMA_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_XI_LIBRARY
QT_XI_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_XRANDR_LIBRARY
QT_XRANDR_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_XRENDER_LIBRARY
QT_XRENDER_LIBRARY-ADVANCED:INTERNAL=1
//Advanced flag for variable: QT_ZLIB_LIBRARY
QT_ZLIB_LIBRARY-ADVANCED:INTERNAL=1
//Have symbol Q_WS_MAC
Q_WS_MAC:INTERNAL=
//Have symbol Q_WS_QWS
Q_WS_QWS:INTERNAL=
//Have symbol Q_WS_WIN
Q_WS_WIN:INTERNAL=
//Have symbol Q_WS_X11
Q_WS_X11:INTERNAL=1
STOP

        QTDIR=/usr/lib/qt4 cmake src 
        make || return 1
        make DESTDIR=$startdir/pkg install
	mkdir $startdir/pkg/usr/share
	mkdir $startdir/pkg/usr/share/applications
cat << "EOF" > $startdir/pkg/usr/share/applications/$pkgname.desktop
[Desktop Entry]
Version=0.9
Type=Application
Encoding=UTF-8
Name=Speedcrunch
Comment=Nuclear powered calculator
Comment[ja]=科学者のための計算機です。
Exec=speedcrunch
TryExec=speedcrunch
Icon=speedcrunch
Terminal=false
Categories=Application;Utility;
StartupNotify=true
EOF
	mkdir $startdir/pkg/usr/share/icons
	mkdir $startdir/pkg/usr/share/icons/hicolor
	mkdir $startdir/pkg/usr/share/icons/hicolor/48x48
	mkdir $startdir/pkg/usr/share/icons/hicolor/48x48/apps
	cp $startdir/src/speedcrunch-0.9/src/resources/crunch.png $startdir/pkg/usr/share/icons/hicolor/48x48/apps/speedcrunch.png
}

create_slackdesc() {
mkdir $startdir/pkg/install
cat <<"EODESC" >$startdir/pkg/install/slack-desc
speedcrunch: speedcrunch - qt4 Calculator
speedcrunch: 
speedcrunch: SpeedCrunch is a fast, high precision and powerful desktop calculator.
speedcrunch: 
speedcrunch: 
speedcrunch: 
speedcrunch: 
speedcrunch: 
speedcrunch: 
speedcrunch: 
speedcrunch: 
EODESC
}

copy_docs() {
	for stuff in ${docs[@]}; do
		if [ ! -d "$startdir/pkg/usr/doc/$pkgname-$pkgver" ]; then
			mkdir -p $startdir/pkg/usr/doc/$pkgname-$pkgver
		fi
		find $startdir/src -type f -iname "$stuff" -exec cp -R '{}' $startdir/pkg/usr/doc/$pkgname-$pkgver \;
	done
}
detect_dependencies() {
	echo "Detecting dependencies..."
	depends=$(requiredbuilder -z $startdir/$package.tgz)
	
	depstring=$depends
	unset FIRST
	for deps in $(echo "${depstring}" | sed 's/,/\n/g' | sort -u); do
		if [[ ! "$FIRST" ]]; then
			finaldeps=$deps,
			FIRST='1'
			continue
		fi
		finaldeps=${finaldeps}${deps},
	done
	echo "$finaldeps" | sed -e 's/^,//' -e 's/,$//' > $startdir/$package.dep
}

####End Non Redundant Code############################

#Variables

startdir=$(pwd)
SRC=$startdir/src
PKG=$startdir/pkg

pkgname=speedcrunch
pkgver=0.9
pkgrel=1
zenver=52
arch=i486
package=$pkgname-$pkgver-$arch-$zenver.$pkgrel
source=(http://speedcrunch.googlecode.com/files/speedcrunch-0.9.tar.gz)
docs=(ABOUT-NLS COPYING AUTHORS HACKING.txt ChangeLog PACKAGERS TRANSLATORS INSTALL.txt NEWS README TODO GPL HISTORY)
export CFLAGS="-O2 -march=i486 -mtune=i686"
export CXXFLAGS="-O2 -march=i486 -mtune=i686"

#Execution

check_for_root
clean_old_builds
prepare_directory
extract_source
set_pre_permissions
build
if [ ! "$?" = "0" ]; then
	echo "build() failed."
	exit 2
fi
create_slackdesc
copy_docs
check_for_menu_compliance
strip_binaries
gzip_man_and_info_pages
set_post_permissions
copy_build_script
create_package
detect_dependencies
echo "Package has been built."
